/**
 ****************************************************************************
 * @file:	 interrupt.h
 * @brief:	 Interrupt Functions for All Soft
 * @version  V1.1
 *
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2019
 *****************************************************************************
 */
#ifndef _INTERRUPT_H
#define _INTERRUPT_H

/*===================================================================*
      Proto Type Definition
 *===================================================================*/
void	INT_interval_4kHz(void);
void	INT_VectorControlByVE_CH0(vector_t* const _motor , const ipdrv_t* const _ipdrv);
void	INT_VectorControlByVE_CH1(vector_t* const _motor , const ipdrv_t* const _ipdrv);
void	INT_VectorControlByVE_CH2(vector_t* const _motor , const ipdrv_t* const _ipdrv);
void	INT_VectorControlBySoft_CH0(vector_t* const _motor, const ipdrv_t* const _ipdrv);
void	INT_VectorControlBySoft_CH1(vector_t* const _motor, const ipdrv_t* const _ipdrv);
void	INT_VectorControlBySoft_CH2(vector_t* const _motor, const ipdrv_t* const _ipdrv);

#endif /*  _INTERRUPT_H */

/*************************** END OF FILE **************************************/
